Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjmlWizard
Class WTargetEditor

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--com.jxml.quick.util.qjmlWizard.WTarget
                  |
                  +--com.jxml.quick.util.qjmlWizard.WTargetEditor

All Implemented Interfaces:
  Cloneable, MutableTreeNode, QBiModal, Serializable, TreeNode, WAtt

public class WTargetEditor
extends WTarget
implements QBiModal

See Also:
  Serialized Form

Field Summary
`String` | `editor`
`String` | `target`

Fields inherited from class com.jxml.quick.util.qjmlWizard.WTarget
`atts`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`WTargetEditor()`

Method Summary
`WTarget` | `copy()`
`boolean` | `editAtt(int i, Wizard wizard)`
`String` | `getQText()`
`void` | `setErrors(Wizard wizard)`
`void` | `setQText(String text)`
`void` | `update()`

Methods inherited from class com.jxml.quick.util.qjmlWizard.WTarget
`eval, getAtts, pasteAdd, pasteAfter, pasteBefore, pasteReplace, pasteUpdate, removeFromParent`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### editor

    public String editor

### target

    public String target

Constructor Detail

### WTargetEditor

    public WTargetEditor()

Method Detail

### getQText

    public String getQText()

  Specified by:
    `getQText` in interface `QBiModal`

### setQText

    public void setQText(String text)

  Specified by:
    `setQText` in interface `QBiModal`

### update

    public void update()

  Overrides:
    `update` in class `WTarget`

### editAtt

    public boolean editAtt(int i,
                           Wizard wizard)

  Overrides:
    `editAtt` in class `WTarget`

### copy

    public WTarget copy()

  Overrides:
    `copy` in class `WTarget`

### setErrors

    public void setErrors(Wizard wizard)

  Overrides:
    `setErrors` in class `WTarget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD